Modules and SDK

Modules

To get the latest version of the Dalenys module for your CMS, please contact your account manager.

warning

Any customization of your module, even minor, can generate serious malfunction for which the module will not be eligible for assistance anymore.

Dalenys module for Prestashop 1.6

Supported CMS versions:

  • Prestashop 1.6x

Supported languages:

  • English
  • French

Available payment method:

  • CB Visa MasterCard
  • American Express
  • Bancontact
  • iDeal
  • Giropay
  • PayPal
  • Sofort
  • Klarna
  • Paysafecard
  • P24
  • Facili Pay
  • SDD (SEPA Direct Debit)

Features :

  • 3-D Secure
  • Standard payment
  • Delayed payment
  • N-times payment
  • One-click payment
  • Refund
  • Void

Dalenys module for Magento 1.9x

Supported CMS versions:

  • Magento Community 1.8x to 1.9x
  • Magento Enterprise 1.13 to 1.14x

Supported languages:

  • English
  • French

Available payment method:

  • CB Visa MasterCard
  • American Express
  • Bancontact
  • iDeal
  • Giropay
  • PayPal
  • Sofort
  • Klarna
  • Paysafecard
  • P24

Features :

  • 3-D Secure
  • Standard payment
  • Delayed payment
  • Market place with Magento Community V1.9: Compatible with Mirakl module from V4.2.2 of the Dalenys module
  • Multi-capture
  • N-times payment
  • One-click payment
  • Refund
  • Void

Dalenys module for Magento 2.1x

Supported CMS versions:

  • Magento Community 2.0x to 2.1x

Supported languages:

  • English
  • French

Available payment method:

  • CB Visa MasterCard
  • American Express
  • Bancontact
  • iDeal
  • Giropay
  • PayPal
  • Sofort
  • Klarna
  • Paysafecard
  • P24

Features :

  • 3-D Secure
  • Standard payment
  • Delayed payment
  • N-times payment
  • One-click payment
  • Refund
  • Void

Official SDK

Here are some libraries covering different languages.

These SDK are officially maintained by Dalenys. In case of questions, bugs, security issue feel free to contact support@dalenys.com.

SDK mobile Android

SDK mobile iOS

SDK PHP

Not officially supported SDK

warning

These packages are not officially supported by Dalenys, use them at your own risk!

tips

If you develop or know another SDK for any platform, feel free to contact us, we will reference it on this page. Start by reading the implementation guidelines.

SDK PHP

SDK Python

SDK Node JS

SDK GO

SDK Erlang

SDK .Net